clan::Size Class Reference - ClanLib SDK
Description: clan::Size Class Reference

Public Member Functions | List of all members
clan::Size Class Reference
clanCore Math

2D (width,height) size structure - Integer More...

`#include <size.h>`

Inheritance diagram for clan::Size:

## Public Member Functions
| Size ()
| Size (const Sizex< double > &copy)
| Size (const Sizex< float > &copy)
| Size (const Sizex< int > &s)
| Size (const Vec2< int > &s)
| Size (int width, int height)
Public Member Functions inherited from clan::Sizex< int >
| Sizex ()
| Constructs a size structure.
| Sizex (const Sizex< int > &s)
| Constructs a size structure.
| Sizex (int width, int height)
| Constructs a size structure.
| operator Vec2< int > () const
bool | operator!= (const Sizex< int > &s) const
| Size != Size operator (deep compare).
Sizex< int > | operator* (const int &s) const
| Size * operator.
Sizex< int > & | operator*= (const int &s)
| Size *= operator.
Sizex< int > | operator+ (const int &s) const
| Size + operator.
Sizex< int > | operator+ (const Sizex< int > &s) const
| Size + Size operator.
Sizex< int > & | operator+= (const int &s)
| Size += operator.
Sizex< int > & | operator+= (const Sizex< int > &s)
| Size += Size operator.
Sizex< int > | operator- (const int &s) const
| Size - operator.
Sizex< int > | operator- (const Sizex< int > &s) const
| Size - Size operator.
Sizex< int > & | operator-= (const int &s)
| Size -= operator.
Sizex< int > & | operator-= (const Sizex< int > &s)
| Size -= Size operator.
Sizex< int > | operator/ (const int &s) const
| Size / operator.
Sizex< int > & | operator/= (const int &s)
| Size /= operator.
bool | operator== (const Sizex< int > &s) const
| Size == Size operator (deep compare).

## Additional Inherited Members
Public Attributes inherited from clan::Sizex< int >
int | height
| Size height.
int | width
| Size width.

## Detailed Description

2D (width,height) size structure - Integer

## Constructor & Destructor Documentation

## ◆ Size() [1/6]

clan::Size::Size | ( |  | ) |
| inline

## ◆ Size() [2/6]

clan::Size::Size | ( | int | width,
|  | int | height )
| inline

## ◆ Size() [3/6]

clan::Size::Size | ( | const Sizex< int > & | s | ) |
| inline

## ◆ Size() [4/6]

clan::Size::Size | ( | const Vec2< int > & | s | ) |
| inline

## ◆ Size() [5/6]

clan::Size::Size | ( | const Sizex< float > & | copy | ) |
| inlineexplicit

References clan::Sizex< int >::height, and clan::Sizex< int >::width.

## ◆ Size() [6/6]

clan::Size::Size | ( | const Sizex< double > & | copy | ) |
| inlineexplicit

References clan::Sizex< int >::height, and clan::Sizex< int >::width.

The documentation for this class was generated from the following file:

- size.h